Bug 1007688 - Installer: installation of natives ends up with post processing error
Installer: installation of natives ends up with post processing error
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER2
: EAP 6.2.0
Assigned To: Thomas Hauser
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 02:56 EDT by Petr Kremensky
Modified: 2017-10-09 20:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Post processing error stack trace (91.62 KB, image/png)
2013-09-13 02:56 EDT, Petr Kremensky
no flags Details

  None (edit)
Description Petr Kremensky 2013-09-13 02:56:26 EDT
Created attachment 797156 [details]
Post processing error stack trace

Description of problem:
Installer is looking for natives in wrong folder (jboss-eap-6.1 instead of jboss-eap-6.2). 

After "post processing error" is thrown, "Onfail server shutdown job" is launched which took almost minute, but this is IMO waste of time as I didn't choose to start server during installation (job ends with "failed to connect to management interface").

Version-Release number of selected component (if applicable):
EAP 6.2 ER1
Comment 1 Thomas Hauser 2013-09-13 09:13:41 EDT
Good catch, this will be fixed in the next ER.

The Onfail job will be set only to execute if the some other job which would have launched the server has been launched. This job still shouldn't take one minute to fail, however.
Comment 2 Thomas Hauser 2013-09-13 11:58:38 EDT
Natives SHA256SUM writing fixed for ER2 in:
9528e2b50c5c12184cf8735f6e7cacc2a46d4ada
Comment 3 Francisco Canas 2013-09-16 09:32:17 EDT
I've modified the relevant classes to keep better track of the server's state: 
A) Track whenever the server goes up and then down
B) Track when it is domain vs when it is standalone

The onfail server shutdown job will now check the above information and proceed accordingly. It will not run  if there server is already down,and will only run once in the appropriate mode (standalone or domain) to shut it down if it is up.

See commit (and it's associated commits from trackserverstatus branch):
http://git.app.eng.bos.redhat.com/?p=jbossas-installer.git;a=commit;h=fd67abea977ca0e4d28a7d6a9e889b1173e73561
Comment 4 Petr Kremensky 2013-09-18 02:35:12 EDT
Verified on EAP 6.2.0.ER2

Note You need to log in before you can comment on or make changes to this bug.